% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Numerical_Differentiation.R
\name{NNS.diff}
\alias{NNS.diff}
\title{NNS Numerical Differentiation}
\usage{
NNS.diff(f, point, h = 0.1, tol = 1e-10, print.trace = FALSE)
}
\arguments{
\item{f}{Function to be derived.  Does not have to be defined \code{f<-}...}

\item{point}{Point to be evaluated for derivative of a given function \code{f}.}

\item{h}{Initial step for secant projection.  Defaults to 0.1.}

\item{tol}{Sets the tolerance for the stopping condition of the inferred h.}

\item{print.trace}{Displays the iteration, lower y-intercept, upper y-intercept and inferred h.  Defaults to \code{print.trace=FALSE}.}
}
\description{
Determines numerical derivative of a given function using projected secant lines on the y-axis.  These projected points infer finite steps \code{h}, in the finite step method.
}
\examples{
f<- function(x) sin(x)/x
NNS.diff(f,4.1)

g<- function(x) sin(x)
NNS.diff(g,1)

}
\author{
Fred Viole, OVVO Financial Systems
}
\references{
Viole, F. and Nawrocki, D. (2013) "Nonlinear Nonparametric Statistics: Using Partial Moments"
\url{http://amzn.com/1490523995}
}
\keyword{differentiation,}
\keyword{finite}
\keyword{method,}
\keyword{numerical}
\keyword{secant}
\keyword{step}

